%define name	gfxboot
%define version	3.3.18
%define release	%mkrel 2

Summary:	Tools to create graphical boot logos
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	SuSE.tar.bz2
Patch0:		gfxboot-3.3.18-mdv.patch
License:	GPL+
Group:		System/Kernel and hardware
URL:		http://en.opensuse.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	nasm
BuildRequires:	xmlto
BuildRequires:	libx11-devel
BuildRequires:	freetype2-devel

%description
gfxboot provides tools to create graphical boot logos, for grub, lilo
and syslinux. It supports arch-specific boot menus, advanced help
menus, multiple keymaps, animated images, and more graphical pretty
things.

%prep
%setup -q -a 1
%patch0 -p1 -b .mdv

%build
%make PRODUCT="Mandriva Linux %mandriva_release"
%make doc

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/gfxboot.html doc/gfxboot.txt
%{_sbindir}/mkblfont
%{_sbindir}/help2txt
%{_sbindir}/mkbootmsg
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/bin/
%{_datadir}/%{name}/themes/



%changelog
* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.com> 3.3.18-2mdv2008.0
+ Revision: 91249
- rebuild for 2008
- new license policy
- slight spec clean


* Tue Dec 05 2006 Pixel <pixel@mandriva.com> 3.3.18-1mdv2007.0
+ Revision: 90945
- add BuildRequires freetype2-devel
- update mdv patch
- new release: 3.3.18
- update mdv patch
- getx11font is now mkblfont
- Import gfxboot

* Fri Jun 23 2006 Olivier Blin <oblin@mandriva.com> 3.2.27-2mdv2007.0
- Source1: add Suse theme as reference (from openSUSE package)
- Patch0: use "Mandriva Linux" as default product in help2txt
- use "Mandriva Linux <release>" as default product when building packaged theme

* Fri Jun 23 2006 Olivier Blin <oblin@mandriva.com> 3.2.27-1mdv2007.0
- initial Mandriva release

